Package be.fgov.ehealth.technicalconnector.signature.impl.xades.impl

# Class XadesBesSpecification

java.lang.Object
be.fgov.ehealth.technicalconnector.signature.impl.xades.impl.XadesBesSpecification

All Implemented Interfaces:
  `XadesSpecification`

public class XadesBesSpecification extends Object implements XadesSpecification

- ## Field Summary

  ### Fields inherited from interface be.fgov.ehealth.technicalconnector.signature.impl.xades.XadesSpecification

  `XMLNS_XADES_1_3_2`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XadesBesSpecification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addOptionalAfterSignatureParts(UnsignedPropertiesBuilder unsignedProps, org.apache.xml.security.signature.XMLSignature sig, String uuid, Map<String,Object> options)`
  `void`
  `addOptionalBeforeSignatureParts(SignedPropertiesBuilder signedProps, org.apache.xml.security.signature.XMLSignature sig, Credential signing, String uuid, Map<String,Object> options)`
  `void`
  `verify(SignatureVerificationResult result, Element sigElement)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XadesBesSpecification

    public XadesBesSpecification()

- ## Method Details

  - ### addOptionalBeforeSignatureParts

    public void addOptionalBeforeSignatureParts(SignedPropertiesBuilder signedProps, org.apache.xml.security.signature.XMLSignature sig, Credential signing, String uuid, Map<String,Object> options) throws TechnicalConnectorException
    Specified by:
      `addOptionalBeforeSignatureParts` in interface `XadesSpecification`
    Throws:
      `TechnicalConnectorException`

  - ### addOptionalAfterSignatureParts

    public void addOptionalAfterSignatureParts(UnsignedPropertiesBuilder unsignedProps, org.apache.xml.security.signature.XMLSignature sig, String uuid, Map<String,Object> options) throws TechnicalConnectorException
    Specified by:
      `addOptionalAfterSignatureParts` in interface `XadesSpecification`
    Throws:
      `TechnicalConnectorException`

  - ### verify

    public void verify(SignatureVerificationResult result, Element sigElement)
    Specified by:
      `verify` in interface `XadesSpecification`